Name:           dwm
Version:        6.0
Release:        1%{?dist}
Summary:        Dynamic window manager for X
%global         _dwmsourcedir       %{_usrsrc}/dwm-user-%{version}-%{release}
Group:          User Interface/Desktops
License:        MIT
URL:            http://dwm.suckless.org/
Source0:        http://dl.suckless.org/dwm/%{name}-%{version}.tar.gz
# dwm-start script and its manpage
Source1:        dwm-start
Source2:        dwm-start.1
# Desktop files
Source3:        dwm.desktop
Source4:        dwm-user.desktop
# Fedora notes referring to dwm-user in dwm(1)
Patch1:         dwm-5.8.2-user-notes.patch
BuildRequires:  binutils
BuildRequires:  coreutils
BuildRequires:  fontconfig-devel
BuildRequires:  gcc
BuildRequires:  libX11-devel
BuildRequires:  libxcb-devel
BuildRequires:  libXft-devel
BuildRequires:  libXinerama-devel
BuildRequires:  make
BuildRequires:  sed
Requires:       dmenu
Requires:       st


%description
dwm is a dynamic window manager for X. It manages windows in tiled, monocle and
floating layouts. All of the layouts can be applied dynamically, optimizing
the environment for the application in use and the task performed.

%package user
Summary:        Dynamic window manager sources and tools for user configuration
Group:          User Interface/Desktops
License:        MIT
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       binutils
Requires:       coreutils
Requires:       findutils
Requires:       fontconfig-devel
Requires:       gcc
Requires:       libX11-devel
Requires:       libxcb-devel
Requires:       libXft-devel
Requires:       libXinerama-devel
Requires:       make
Requires:       patch
Requires:       redhat-rpm-config

%description user
dwm sources and dwm-start script for individual user configuration. dwm-start
reads user's header file and creates custom dwm build for user to use on
the fly.

%prep
%autosetup
# Nuke the silent build.
sed -i -e 's|\t@|\t|' Makefile
# Insert optflags
sed -i -e 's|-Os|%{optflags}|' config.mk
# No strip for debuginfo, and insert ldflags to enhance the security.
sed -i -e 's|-s ${LIBS}|%{?__global_ldflags} ${LIBS}|' config.mk
# X includedir path fix
sed -i -e 's|X11INC = .*|X11INC = %{_includedir}|' config.mk
# libdir path fix
sed -i -e 's|X11LIB = .*|X11LIB = %{_libdir}|' config.mk

%build
make %{?_smp_mflags}

%install
%make_install PREFIX="%{_prefix}"
install -m755 %{SOURCE1} %{buildroot}%{_bindir}/dwm-start
sed -i "s/version=VERSION/version=%{version}/" %{buildroot}%{_bindir}/dwm-start
sed -i "s/release=RELEASE/release=%{release}/" %{buildroot}%{_bindir}/dwm-start
install -m644 %{SOURCE2} %{buildroot}%{_mandir}/man1/dwm-start.1
sed -i "s/VERSION/%{version}/" %{buildroot}%{_mandir}/man1/dwm-start.1
sed -i "s/RELEASE/%{release}/" %{buildroot}%{_mandir}/man1/dwm-start.1
mkdir -p %{buildroot}%{_dwmsourcedir}
install -m644 -p -t %{buildroot}%{_dwmsourcedir} \
	config.def.h \
	config.mk \
	dwm.1 \
	dwm.c \
	Makefile
mkdir -p %{buildroot}%{_datadir}/xsessions
install -m644 %{SOURCE3} %{buildroot}%{_datadir}/xsessions/dwm.desktop
install -m644 %{SOURCE4} %{buildroot}%{_datadir}/xsessions/dwm-user.desktop

%files
%license LICENSE
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/xsessions/dwm.desktop

%files user
%{_bindir}/%{name}-start
%{_mandir}/man1/%{name}-start.1*
%{_datadir}/xsessions/dwm-user.desktop
%{_dwmsourcedir}

%changelog
* Mon Aug 13 2018 Petr Šabata <contyk@redhat.com> - 6.0-1
- Fresh 6.0 modular release, based on the latest 6.1 SPEC
